OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.ARB.ShaderStorageBufferObject

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the ARB_shader_storage_buffer_object, see http://www.opengl.org/registry/specs/ARB/shader_storage_buffer_object.txt.

Synopsis

- glShaderStorageBlockBinding :: GLuint -> GLuint -> GLuint -> IO ()
- gl_SHADER_STORAGE_BUFFER :: GLenum
- gl_SHADER_STORAGE_BUFFER_BINDING :: GLenum
- gl_SHADER_STORAGE_BUFFER_START :: GLenum
- gl_SHADER_STORAGE_BUFFER_SIZE :: GLenum
- gl_MAX_VERTEX_SHADER_STORAGE_BLOCKS :: GLenum
- gl_MAX_GEOMETRY_SHADER_STORAGE_BLOCKS :: GLenum
- gl_MAX_TESS_CONTROL_SHADER_STORAGE_BLOCKS :: GLenum
- gl_MAX_TESS_EVALUATION_SHADER_STORAGE_BLOCKS :: GLenum
- gl_MAX_FRAGMENT_SHADER_STORAGE_BLOCKS :: GLenum
- gl_MAX_COMPUTE_SHADER_STORAGE_BLOCKS :: GLenum
- gl_MAX_COMBINED_SHADER_STORAGE_BLOCKS :: GLenum
- gl_MAX_SHADER_STORAGE_BUFFER_BINDINGS :: GLenum
- gl_MAX_SHADER_STORAGE_BLOCK_SIZE :: GLenum
- gl_SHADER_STORAGE_BUFFER_OFFSET_ALIGNMENT :: GLenum
- gl_SHADER_STORAGE_BARRIER_BIT :: GLbitfield
- gl_MAX_COMBINED_SHADER_OUTPUT_RESOURCES :: GLenum
- gl_MAX_COMBINED_IMAGE_UNITS_AND_FRAGMENT_OUTPUTS :: GLenum

# Functions

glShaderStorageBlockBinding :: GLuint -> GLuint -> GLuint -> IO ()

# Tokens

gl_SHADER_STORAGE_BUFFER :: GLenum

gl_SHADER_STORAGE_BUFFER_BINDING :: GLenum

gl_SHADER_STORAGE_BUFFER_START :: GLenum

gl_SHADER_STORAGE_BUFFER_SIZE :: GLenum

gl_MAX_VERTEX_SHADER_STORAGE_BLOCKS :: GLenum

gl_MAX_GEOMETRY_SHADER_STORAGE_BLOCKS :: GLenum

gl_MAX_TESS_CONTROL_SHADER_STORAGE_BLOCKS :: GLenum

gl_MAX_TESS_EVALUATION_SHADER_STORAGE_BLOCKS :: GLenum

gl_MAX_FRAGMENT_SHADER_STORAGE_BLOCKS :: GLenum

gl_MAX_COMPUTE_SHADER_STORAGE_BLOCKS :: GLenum

gl_MAX_COMBINED_SHADER_STORAGE_BLOCKS :: GLenum

gl_MAX_SHADER_STORAGE_BUFFER_BINDINGS :: GLenum

gl_MAX_SHADER_STORAGE_BLOCK_SIZE :: GLenum

gl_SHADER_STORAGE_BUFFER_OFFSET_ALIGNMENT :: GLenum

gl_SHADER_STORAGE_BARRIER_BIT :: GLbitfield

gl_MAX_COMBINED_SHADER_OUTPUT_RESOURCES :: GLenum

gl_MAX_COMBINED_IMAGE_UNITS_AND_FRAGMENT_OUTPUTS :: GLenum